%global commitId 09b04057464e83a93bc23825d6a79bfd23945aa5

Name:          aap-azure-ui
Version:       0.0.1
Release:       2%{?dist}
Summary:       Ansible Automation Platform Azure UI

License:       ASL 2.0
URL:           git@github.com:ansible/ansible-automation-platform-ui.git
Source0:       aap-azure-ui-09b04057464e83a93bc23825d6a79bfd23945aa5.tar.gz
BuildArch:     noarch

BuildRequires:  npm

%description
Ansible Automation Platform Azure UI

%prep
%autosetup -n %{name}-%{commitId}

%build
pushd ui
npm config set registry https://repository.engineering.redhat.com/nexus/repository/registry.npmjs.org/
npm config set strict-ssl false
npm install
npm run build
popd

%install
install -vd -m 0755 %{buildroot}%{_datadir}/%{name}
cp -r ui/dist/* %{buildroot}%{_datadir}/%{name}

%files
%{_datadir}/%{name}
%license LICENSE
%doc ui/README.md

%changelog
* Thu May 12 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-2
- Rebuild for AAP 2.2

* Tue Nov 30 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure UI 0.0.1
